Subject: Re: linux-next: build failure after merge of the clk tree

From: Stephen Boyd <[email-masked]>
Date: Tue, 16 Jul 2024 11:26:18 -0700

Quoting Stephen Rothwell (2024-07-15 17:41:50)
> Hi all,
> 
> After merging the clk tree, today's linux-next build (powerpc
> ppc64_defconfig) failed like this:
> 
> ERROR: modpost: missing MODULE_LICENSE() in drivers/of/of_kunit_helpers.o
> ERROR: modpost: missing MODULE_LICENSE() in drivers/of/kunit_overlay_test.dtbo.o
> ERROR: modpost: "device_is_bound" [lib/kunit/kunit.ko] undefined!
> ERROR: modpost: "__dtbo_kunit_overlay_test_end" [drivers/of/overlay_test.ko] undefined!
> ERROR: modpost: "__dtbo_kunit_overlay_test_begin" [drivers/of/overlay_test.ko] undefined!
> 
> Presumably caused by commit
> 
>   aa46879db9ac ("of: Add a KUnit test for overlays and test managed APIs")
> 
> I have used the clk tree from next-20240715 for today.

Thanks. I didn't see this with an allmodconfig so I'm going to debug my
testing scripts after dropping these patches from -next.